Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eltima.chart
Class Animation

    java.lang.Object
      com.eltima.chart.Animation

public class Animation
extends java.lang.Object

The Animation class.

Copyright: Copyright (c) 2000-2005

Company: Eltima Software

Version:
  4.0
Author:
  [SoftInfinity Dpt.]

Constructor Summary
`Animation(ELChart chart)` Creates new instance of Animation with the specified chart.

Method Summary
`float` | `getAlpha(java.lang.String key)` Returns alpha value for the specified key.
`AnimationModel` | `getAnimationModel()` Returns AnimationModel.
`int` | `getStep()` Returns current animation step.
`boolean` | `isPainted(java.lang.String key)` Returns true if animation is not running or current step equals or greater than starting step.
`void` | `saveTransform(java.awt.Graphics2D g2)` Save current AffineTransform.
`void` | `setAnimationModel(AnimationModel model)` Sets AnimationModel.
`void` | `setStep(int step)` Sets the animation step.
`void` | `setTransform(java.lang.String key, java.awt.Graphics2D g2, java.awt.Rectangle rOwner, java.awt.Rectangle rObject)` Sets AffineTransform for specified rectangle "rObject" depends on key, animation step and rectangle owner.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Animation

    public Animation(ELChart chart)

  Creates new instance of Animation with the specified chart.

Parameters:
  `chart` - ELChart

Method Detail

### isPainted

    public boolean isPainted(java.lang.String key)

  Returns true if animation is not running or current step equals or greater than starting step.

  Parameters:
    `key` - String
  Returns:
    boolean

### getAlpha

    public float getAlpha(java.lang.String key)

  Returns alpha value for the specified key. Depends on animation step if animation is running.

  Parameters:
    `key` - String
  Returns:
    float

### saveTransform

    public void saveTransform(java.awt.Graphics2D g2)

  Save current AffineTransform.

  Parameters:
    `g2` - Graphics2D

### setTransform

    public void setTransform(java.lang.String key,
                             java.awt.Graphics2D g2,
                             java.awt.Rectangle rOwner,
                             java.awt.Rectangle rObject)

  Sets AffineTransform for specified rectangle "rObject" depends on key, animation step and rectangle owner.

  Parameters:
    `key` - String
    `g2` - Graphics2D
    `rOwner` - Rectangle
    `rObject` - Rectangle

### getStep

    public int getStep()

  Returns current animation step.

  Returns:
    int

### setStep

    public void setStep(int step)

  Sets the animation step.

  Parameters:
    `step` - int

### getAnimationModel

    public AnimationModel getAnimationModel()

  Returns AnimationModel.

  Returns:
    AnimationModel

### setAnimationModel

    public void setAnimationModel(AnimationModel model)

  Sets AnimationModel.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD